<template>
  <el-tabs
    v-model="model"
    class="compact-tabs"
    :class="{
      'disable-navigator': !navigator,
      sticky,
      [`top-[${top ?? 0}px]`]: sticky,
      [`left-[${left ?? 0}px]`]: sticky,
      'z-20': sticky,
    }"
    :stretch="stretch"
  >
    <slot />
  </el-tabs>
</template>

<script setup lang="ts">
const emit = defineEmits<{
  (e: "update:modelValue", value?: string): void;
}>();
const props = withDefaults(
  defineProps<{
    modelValue?: string;
    stretch?: boolean;
    sticky?: boolean;
    top?: number;
    left?: number;
    navigator?: boolean;
  }>(),
  {
    navigator: true,
  }
);

const model = computed({
  get: () => props.modelValue,
  set: (value?: string) => emit("update:modelValue", value),
});
</script>

<style lang="scss">
.el-tabs.disable-navigator {
  .el-tabs__nav-next,
  .el-tabs__nav-prev {
    display: none;
  }
}
.el-tabs .el-tabs__nav-wrap.is-scrollable {
  .el-tabs__nav-scroll {
    overflow-x: auto;
  }
}
.el-tabs.compact-tabs {
  width: 100%;

  .el-tabs__header {
    background: var(--background1);
  }

  .el-tabs__nav-wrap {
    padding-left: 0;
    padding-right: 0;

    &::after {
      content: "";
      background: none;
    }
  }

  .el-tabs__nav {
    display: flex;
  }

  .el-tabs__item {
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-right: 0 !important;
    padding-left: 0 !important;

    &:not(.is-active) {
      opacity: 0.7;
    }

    & > * {
      font-family: Roboto;
      font-size: 12px;
      font-weight: 500;
      line-height: 14.06px;
      text-align: center;
      padding: 0 8px;
      color: var(--text);
    }
  }
}
</style>
